import request from "@/utils/request";

//查询编号类型下拉框(去除已存在的没有子类的类型)
export async function bmNoType(params) {
  return request(`/wms/ngic-base-business/bmNoType/querySelect`, {
    method: "POST",
    data: params,
  });
}
//查询编号类型下拉框全部
export async function bmNoTypeAll(params) {
  return request(`/wms/ngic-base-business/bmNoType/querySelectAll`, {
    method: "POST",
    data: params,
  });
}
export async function bmNoRule(params) {
  return request(`/wms/ngic-base-business/bmNoRule/querySelect`, {
    method: "POST",
    data: params,
  });
}
//根据表单id查询条件下拉框
export async function paFormConditionSelect(params) {
  return request(
    `/wms/ngic-base-business/paFormCondition/querySelectByFormId`,
    {
      method: "POST",
      data: params,
    }
  );
}
//根据条件id查询条件值的下拉框
export async function queryConValueSelect(params) {
  return request(
    `/wms/ngic-base-business/paFormCondition/queryConValueSelectByconId`,
    {
      method: "POST",
      data: params,
    }
  );
}
//标签模板
export async function bmTableFileSelect(params) {
  return request(`/wms/ngic-base-business/bmTableFile/querySelect`, {
    method: "POST",
    data: params,
  });
}
